package routers

import (
	"ERP_user/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	//-----------
	beego.Router("/", &controllers.UserController{}, "*:Login_verification")
	beego.Router("/Login_verification", &controllers.UserController{}, "*:Login_verification") // 获取未读消息

	//-----------用户管理
	beego.Router("/User/List", &controllers.UserController{}, "*:List")   //
	beego.Router("/User/Get", &controllers.UserController{}, "*:Get")     //
	beego.Router("/User/Info", &controllers.UserController{}, "*:Info")   //
	beego.Router("/User/Post", &controllers.UserController{}, "*:Post")   //
	beego.Router("/User/Add", &controllers.UserController{}, "*:Add")     //
	beego.Router("/User/Edit", &controllers.UserController{}, "*:Edit")   //
	beego.Router("/User/Del", &controllers.UserController{}, "*:Del")     //
	beego.Router("/User/Leave", &controllers.UserController{}, "*:Leave") //离职

	//-----------权限管理
	beego.Router("/Power/List", &controllers.PowerController{}, "*:List")           //
	beego.Router("/Power/Get", &controllers.PowerController{}, "*:Get")             //
	beego.Router("/Power/Add", &controllers.PowerController{}, "*:Add")             //
	beego.Router("/Power/Edit", &controllers.PowerController{}, "*:Edit")           //
	beego.Router("/Power/Sys_List", &controllers.PowerController{}, "*:Sys_List")   //
	beego.Router("/Power/Edit_Menu", &controllers.PowerController{}, "*:Edit_Menu") //
	beego.Router("/Power/Del", &controllers.PowerController{}, "*:Del")             //

	//-----------系统日志管理
	beego.Router("/SysLogs/List", &controllers.SysLogsController{}, "*:List")                          //
	beego.Router("/SysLogs/DISTINCT_Class", &controllers.SysLogsController{}, "*:List_DISTINCT_Class") // 获取分类列表

	//-----------用户日志管理
	beego.Router("/UserLogs/List", &controllers.UserLogsController{}, "*:List")                          //
	beego.Router("/UserLogs/DISTINCT_Class", &controllers.UserLogsController{}, "*:List_DISTINCT_Class") // 获取分类列表

	//-----------消息通知
	beego.Router("/News/List", &controllers.NewsController{}, "*:List") //
	beego.Router("/News/See", &controllers.NewsController{}, "*:See")   //

	//-----------菜单
	beego.Router("/Menu/List", &controllers.MenuController{}, "*:List")           // 菜单列表
	beego.Router("/Menu/User_List", &controllers.MenuController{}, "*:User_List") // 用户绑定菜单列表

	//-----------部门
	beego.Router("/Dept/List", &controllers.DeptController{}, "*:List") // 部门列表
	//-----------岗位
	beego.Router("/Post/List", &controllers.DeptController{}, "*:Post_List") // 岗位列表

}
